using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.AnalysisServices.AdomdClient;
using System.Data;

namespace AdomdDataAdapterSample
{
	class Program
	{
		static void Main(string[] args)
		{
			AdomdUsingDataAdapterToFillDataset1();
			AdomdUsingDataAdapterToFillDataset2();
		}
		static void AdomdUsingDataAdapterToFillDataset1()
		{
            string commandText = "SELECT Measures.Members ON COLUMNS FROM [Warehouse and Sales]";
			string connectionString = "Datasource=localhost; Initial Catalog=Foodmart 2005;";
			AdomdDataAdapter dataAdapter = new AdomdDataAdapter(commandText, connectionString);
			DataSet ds = new DataSet();
			dataAdapter.Fill(ds);
		}
		static void AdomdUsingDataAdapterToFillDataset2()
		{
            string commandText = "SELECT Measures.Members ON COLUMNS FROM [Warehouse and Sales]";
			string connectionString = "Datasource=localhost; Initial Catalog=Foodmart 2005;";
			AdomdConnection con = new AdomdConnection(connectionString);
			con.Open();
			AdomdCommand command = new AdomdCommand(commandText, con);
			AdomdDataAdapter dataAdapter = new AdomdDataAdapter(command);
			DataSet ds = new DataSet();
			dataAdapter.Fill(ds);
			con.Close();
		}

	}
}
